liquidwar (5.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes mapgen crash (Closes: #716610)
  * Drop patches applied upstream and refresh the others.
  * Update Standards-Version to 4.4.0:
    - remove obsolete menu file
    - switch priority from extra to optional
    - declare that d/rules does not require root
  * Convert to dh-style build.
  * Update to debhelper compat level 12.
  * Point Vcs-* fields to salsa.
  * Remove trailing whitespace in changelog.
  * Enable all hardening options.
  * Add patch to honour CPPFLAGS.
  * Update homepage and watch file.
  * Convert d/copyright to copyright format 1.0.
  * Port makedoc.py to Python 3.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Aug 2019 00:00:27 +0200

liquidwar (5.6.4-6) unstable; urgency=medium

  * Team upload.
  * Add patch to build with fix*-functions in Allegro, instead of
    f*-functions, fixes conflict in glibc. (Closes: #916037)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 09 Dec 2018 21:46:45 +0100

liquidwar (5.6.4-5) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Switch to source format 3.0 (quilt).
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.
    (Closes: #831436)
  * Add man-page-has-errors.patch and fix errors in liquidwar-server manpage.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Aug 2016 15:23:04 +0200

liquidwar (5.6.4-4) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Paul Wise ]
  * Add build-arch/build-indep targets to fix FTBFS with unreleased dpkg (Closes: #822050)

 -- Paul Wise <pabs@debian.org>  Fri, 15 Jul 2016 18:55:52 +0800

liquidwar (5.6.4-3) unstable; urgency=low

  * Team upload.
  * Properly link liquidwar-mapgen to libm, patch by Stephen Kitt, thanks!
    Closes: #555468
  * Add misc:Depends to Depends, thanks lintian.
  * Slightly fix descriptions.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 08 May 2011 01:40:12 +0200

liquidwar (5.6.4-2) unstable; urgency=low

  [ Barry deFreese ]
  * Update my e-mail address.
  * Don't remove .pc dir before running quilt pop -a.
  * Remove path from true in preinst.
  * Add set -e to preinst.
  * Update long descriptions for -data and -server packages.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 25 Jul 2009 10:36:12 -0400

liquidwar (5.6.4-1) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Thanks to Alexandre Pineau for his work.
    + Set maintainer to Debian Games Team.
  * Acknowledge NMUs. (Closes: #392931, #472402).
  * New upstream release.
  * Add myself to uploaders.
  * Drop python-xml build-dep. (Closes: #468633).
  * Add Homepage entry.
  * Add VCS tags.
  * 030_desktop.diff - New patch. (Closes: #480327).
    + Thanks to Siegfried-Angel Gevatter Pujals for the patch.
  * 040_nostrip.diff. Handle nostrip build options. (Closes: #437480).
  * Add watch file.
  * Make clean not ignore errors.
  * Fix debian/copyright file.
  * Fix doc base section.
  * Move DH_COMPAT to debian/compat.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 16 Sep 2008 16:23:56 -0400

liquidwar (5.6.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on amd64 by disabling the x86-only assembly
    Patch from Ubuntu by Stefan Potrya closes: #451436

 -- Paul Wise <pabs@debian.org>  Sun, 23 Mar 2008 13:26:23 +0900

liquidwar (5.6.3-3) unstable; urgency=low

  * Maintainer upload.
  * Acknowledge previous NMU (Closes: #391237). Thanks to Michael Ablassmeier.
  * debian/rules
     + Switched to quilt for patch handling.
     + Install .desktop file and icon
  * debian/control:
     + Set policy to 3.7.2.2 -- no changes.
     + remove ${misc:Depends} from Liquidwar depends (useless in our case)
     + replace {Source-Version} by {source:Version} for liquidwar-data
     + replace {Source-Version} by {binary:Version} for liquidwar-server
     + Build-depend on quilt.

  * 010_doc.diff: (new patch from old diff.gz)
     + documentation fixes.

  * 010_misc.diff: (new patch from old diff.gz)
     + changed color palette of liquidwar_32x32.xpm

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Wed, 25 Oct 2006 01:17:05 +0200

liquidwar (5.6.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Replaces for liquidwar << 5.6.2-2 in order to ensure
    upgradeability from sarge (Closes: #391237)

 -- Michael Ablassmeier <abi@debian.org>  Fri, 13 Oct 2006 11:29:09 +0200

liquidwar (5.6.3-2) unstable; urgency=low

  * Added myself to uploaders
  * Added missing build-dep: libxcursor-dev
  * Added myself to uploaders, finally
  * debian/rules: added missing space before \ in the configure call to pass
    the build arch correctly, now builds on amd64 (closes: #339052, #317493)

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Mar 2006 12:24:27 +0100

liquidwar (5.6.3-1) unstable; urgency=low

  * New upstream release
       - Fixed Joystick support (Closes: 179090)
  * Liquidwar 5.6.3 requires Allegro 4.2, so update Build-Depends to
    reflect this (Closes: #350859)
  * update copyright
  * use debhelper compatibility version 5
       - update Build-Depends: debhelper (>= 5)
  * in doc/xml/rules.xml, correct the name 'Samohyl' to avoid warning in
    man page

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Thu,  9 Feb 2006 22:34:33 +0100

liquidwar (5.6.2-2) unstable; urgency=low

  * default screen is now "Windowed" instead of "full screen"
    (Closes: #262732)
  * use quoted strings in menu.liquidwar
  * Standards-Version bumped to 3.6.2.1 -- no changes.
  * create a liquidwar-server package. Indeed, liquidwar server doesn't depend
    on X11, so it can be installed now on a server without X Window system.
    (Closes: #321812)
  * Build-Depend on debhelper (>=4.9.0) to follow the move of menus to
    /usr/share/menu

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sat, 27 Aug 2005 00:03:28 +0200

liquidwar (5.6.2-1) unstable; urgency=low

  * New upstream release
    + update docs
    + fixe a bug on the server
    + update the random map generator to version 0.0.1
  * use dh_installdirs to create all directories
  * use dh_install to install files (instead of dh_movefiles)
  * change the call of configure (for autoconf 2.52)
  * remove the link to PostScript and PDF documentations from HTML documentation
  * remove autotools from PHONY target
  * add 'touch autotools' to autools rule and add autotools to clean target

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sun, 15 Feb 2004 18:46:28 +0100

liquidwar (5.6.0-1) unstable; urgency=low

  * New upstream release
    + lots of new maps
    + map generator
    + added Danish translation
  * use dh_installman instead of dh_installmanpages
  * add a link from liquidwar-mapgen to liquidwar

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sun,  4 Jan 2004 10:58:13 +0100

liquidwar (5.5.9-4) unstable; urgency=low

  * Description for liquidwar and liquidwar-data updated, closes: #210038
  * Standards-Version bumped to 3.6.1.0 -- no changes.

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sat, 11 Oct 2003 12:27:08 +0200

liquidwar (5.5.9-3) unstable; urgency=low

  * update config.guess and config.sub for each build,
    closes: #198214
  * use dpkg-architecture for package building.
  * add autotools-dev to Build-Depends.
  * apply patch from Eduard Bloch to correct some mistakes in the
    german translation, closes: #187586
  * Standards-Version bumped to 3.5.10 -- no changes.

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sat, 12 Jul 2003 20:16:20 +0200

liquidwar (5.5.9-2) unstable; urgency=low

  * fixed an issue with gcc 3.3, closes: #197967

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Thu, 19 Jun 2003 20:15:44 +0200

liquidwar (5.5.9-1) unstable; urgency=low

  * New upstream release, closes: #158143
  * New maintainer, closes: #185193
  * Standards-Version bumped to 3.5.9 -- no changes.
  * add HTML documentation to doc-base

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sat, 29 Mar 2003 17:47:27 +0100

liquidwar (5.5.8-1) unstable; urgency=low

  * New upstream release, closes: #179934
  * changed color palette of liquidwar_32x32.xpm because of the new menu policy
  * minor changes: Standards, Build-Depends on debhelper

 -- Eduard Bloch <blade@debian.org>  Wed,  5 Feb 2003 20:26:26 +0100

liquidwar (5.5.7-2) unstable; urgency=low

  * Why, oh why is there no build-daemon for Arch:all packages.
    Rebuilt to get updated liquidwar-data (closes: #160194)

 -- Eduard Bloch <blade@debian.org>  Mon,  9 Sep 2002 10:16:19 +0200

liquidwar (5.5.7-1) unstable; urgency=low

  * New upstream release
  * Fixed preinst to move docs around and drop old directory, closes: #159063

 -- Eduard Bloch <blade@debian.org>  Sun,  1 Sep 2002 23:08:07 +0200

liquidwar (5.5.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Aug 2002 18:39:01 +0200

liquidwar (5.5.2-1) unstable; urgency=low

  * New upstream release, closes: #150737
  * Spelling improvement, closes: #125087
  * CPU optimisations now disabled via configure
  * Using upstream's menu icon

 -- Eduard Bloch <blade@debian.org>  Sat, 29 Jun 2002 15:24:33 +0200

liquidwar (5.5.1-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Jun 2002 16:41:47 +0200

liquidwar (5.4.5-2) unstable; urgency=low

  * Removed CPU optimisations, closes: #138401

 -- Eduard Bloch <blade@debian.org>  Fri, 15 Mar 2002 10:25:19 +0100

liquidwar (5.4.5-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 21:41:50 +0100

liquidwar (5.4.2-5) unstable; urgency=low

  * Recompilation against the stable Allegro release

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Jan 2002 15:14:38 +0100

liquidwar (5.4.2-4) unstable; urgency=low

  * The why-should-I-fix-Build-Deps-if-build-daemons-fails-on-alternatives
    release. Removed all python-dependencies and set dependency on newer
    python-xml which will require working python so or so. Closes: #123225

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Dec 2001 18:01:03 +0100

liquidwar (5.4.2-3) unstable; urgency=low

  * Recompilation for the fixed Allegro library, Closes: #122926

 -- Eduard Bloch <blade@debian.org>  Sat,  8 Dec 2001 15:08:26 +0100

liquidwar (5.4.2-2) unstable; urgency=low

  * New maintainer
  * recompiled for the new Allegro branch
  * Build-Depencies makes use of new python packages (Closes: #119013)
  * Added liquidwar-server to the manpage (Closes: #117779)
  * fixed cosmetic issues found by lintian:
    - replaced the GPL header dump in the copyright file with
      reference to the Debian document
    - removed Emacs settings from changelog file

 -- Eduard Bloch <blade@debian.org>  Wed, 21 Nov 2001 23:26:05 +0100

liquidwar (5.4.2-1) unstable; urgency=low

  * NMU, no reaction from Yann
  * New upstream release
  * Rebuilt against new liballegro3.9.37-dev, Closes: #101102
  * removed symlinking of the doc directory, violated policy, 13.6.
  * removed README.Debian and INSTALL, needless content
  * removed DH_ hocus-pocus (sense?)
  * icon file in menu entry

 -- Eduard Bloch <blade@debian.org>  Wed,  1 Aug 2001 22:21:22 +0200

liquidwar (5.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #84013, #93113).
  * Adapted my patches to makefile.in's - looks like I forgot to send them
    upstream last time :(.
  * Dropped dh_testversion.
  * Improved extended description so that more people try it :).

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Apr 2001 01:35:40 +0200

liquidwar (5.3.2-2) unstable; urgency=low

  * Rebuilt against new liballegro.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Dec 2000 20:09:13 +0100

liquidwar (5.3.2-1) unstable; urgency=low

  * Initial Release (Closes #72868).
  * Added DESTDIR support.
  * Make "clean" rule remove $(PALETTE) in data/font/.
  * Make "clean" rule remove makefile.dep in src/.

 -- Yann Dirson <dirson@debian.org>  Mon,  2 Oct 2000 22:18:04 +0200
